`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    20:17:08 02/23/2009 
// Design Name: 
// Module Name:    hex_to_display 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module hex_to_display(
    input [3:0] D,
    output [6:0] Q
    );

		reg [6:0] q;

		assign Q = q;

		always @ (D)
		begin
			case (D)
			4'h0 :  assign q = 7'b1111110;
			4'h1 :  assign q = 7'b0110000;
			4'h2 :  assign q = 7'b1101101;
			4'h3 :  assign q = 7'b1111001;
			4'h4 :  assign q = 7'b0100111;
			4'h5 :  assign q = 7'b1011101;
			4'h6 :  assign q = 7'b1011111;
			4'h7 :  assign q = 7'b1110000;
			4'h8 :  assign q = 7'b1111111;	
			4'h9 :  assign q = 7'b1111101;
			4'ha :  assign q = 7'b1110111;
			4'hb :  assign q = 7'b0011111;
			4'hc :  assign q = 7'b0001101;
			4'hd :  assign q = 7'b0111101;
			4'he :  assign q = 7'b1001111;
			4'hf :  assign q = 7'b1000111;
			endcase
		end


endmodule
