VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_6
        SIGNAL CLK_SLOW
        SIGNAL reset
        SIGNAL step
        SIGNAL XLXN_153
        SIGNAL EN_DISP(1)
        SIGNAL XLXN_171
        SIGNAL XLXN_172
        SIGNAL state0
        SIGNAL state1
        SIGNAL do_calc
        SIGNAL do_cnt
        SIGNAL XLXN_188
        SIGNAL TASTER_R
        SIGNAL TASTER_U
        SIGNAL XLXN_204
        SIGNAL TASTER_RES
        SIGNAL XLXN_163
        SIGNAL XLXN_166
        SIGNAL XLXN_237
        SIGNAL next_state
        SIGNAL XLXN_92
        SIGNAL accu_in(7:0)
        SIGNAL accu_in(0)
        SIGNAL accu_in(1)
        SIGNAL accu_in(2)
        SIGNAL accu_in(7)
        SIGNAL accu_in(6)
        SIGNAL accu_in(5)
        SIGNAL accu_in(4)
        SIGNAL XLXN_26(7:0)
        SIGNAL XLXN_149
        SIGNAL XLXN_186
        SIGNAL XLXN_189
        SIGNAL XLXN_230
        SIGNAL EN_DISP(0)
        SIGNAL XLXN_299
        SIGNAL XLXN_300
        SIGNAL accu_out(7:0)
        SIGNAL XLXN_306
        SIGNAL XLXN_307
        SIGNAL d2
        SIGNAL d3
        SIGNAL accu_out(0)
        SIGNAL accu_out(4)
        SIGNAL accu_out(1)
        SIGNAL accu_out(5)
        SIGNAL cnt(1)
        SIGNAL accu_in(3)
        SIGNAL cnt(3:0)
        SIGNAL XLXN_297
        SIGNAL XLXN_298
        SIGNAL cnt(0)
        SIGNAL cnt(2)
        SIGNAL accu_out(2)
        SIGNAL accu_out(6)
        SIGNAL cnt(3)
        SIGNAL accu_out(3)
        SIGNAL accu_out(7)
        SIGNAL LED(0)
        SIGNAL LED(1)
        SIGNAL LED(1:0)
        SIGNAL EN_DISP(1:0)
        SIGNAL XLXN_310
        SIGNAL XLXN_311
        SIGNAL XLXN_312
        SIGNAL XLXN_313
        SIGNAL XLXN_317
        SIGNAL XLXN_318
        SIGNAL XLXN_321
        SIGNAL XLXN_322
        SIGNAL XLXN_323
        SIGNAL XLXN_324
        SIGNAL XLXN_325
        SIGNAL XLXN_326
        SIGNAL XLXN_327
        SIGNAL XLXN_328
        SIGNAL A
        SIGNAL B
        SIGNAL C
        SIGNAL D
        SIGNAL E
        SIGNAL F
        SIGNAL G
        PORT Input CLK_SLOW
        PORT Output EN_DISP(1)
        PORT Input TASTER_R
        PORT Input TASTER_U
        PORT Input TASTER_RES
        PORT Output EN_DISP(0)
        PORT Output LED(0)
        PORT Output LED(1)
        PORT Output A
        PORT Output B
        PORT Output C
        PORT Output D
        PORT Output E
        PORT Output F
        PORT Output G
        BEGIN BLOCKDEF hex_to_disp
            TIMESTAMP 2009 2 26 18 27 51
            RECTANGLE N 64 -448 320 0 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF ftc
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF cb4cled
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -704 320 -64 
            LINE N 0 -256 64 -256 
            LINE N 384 -192 320 -192 
            LINE N 384 -448 320 -448 
            LINE N 384 -512 320 -512 
            LINE N 384 -576 320 -576 
            LINE N 384 -640 320 -640 
            LINE N 0 -448 64 -448 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -512 64 -512 
            LINE N 0 -576 64 -576 
            LINE N 0 -640 64 -640 
            LINE N 0 -192 64 -192 
            LINE N 0 -320 64 -320 
            LINE N 384 -128 320 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF fd8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF add8
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 448 -128 384 -128 
            LINE N 448 -64 384 -64 
            LINE N 240 -124 240 -64 
            LINE N 240 -64 384 -64 
            RECTANGLE N 0 -204 64 -180 
            RECTANGLE N 0 -332 64 -308 
            LINE N 0 -320 64 -320 
            LINE N 0 -192 64 -192 
            LINE N 448 -256 384 -256 
            RECTANGLE N 384 -268 448 -244 
            LINE N 0 -448 64 -448 
            LINE N 128 -416 128 -448 
            LINE N 128 -448 64 -448 
            LINE N 64 -432 384 -352 
            LINE N 384 -352 384 -336 
            LINE N 384 -336 384 -160 
            LINE N 384 -160 64 -80 
            LINE N 64 -80 64 -224 
            LINE N 64 -224 128 -256 
            LINE N 128 -256 64 -288 
            LINE N 64 -288 64 -432 
            LINE N 384 -128 336 -128 
            LINE N 336 -128 336 -148 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF sr4ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -192 64 -192 
            RECTANGLE N 64 -384 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -128 320 -128 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 0 -128 64 -128 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            LINE N 0 -32 64 -32 
            LINE N 0 -320 64 -320 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 64 -48 64 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF fdc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF and3b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF xor2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 60 -128 
            LINE N 256 -96 208 -96 
            ARC N -40 -152 72 -40 48 -48 44 -144 
            ARC N -24 -152 88 -40 64 -48 64 -144 
            LINE N 128 -144 64 -144 
            LINE N 128 -48 64 -48 
            ARC N 44 -144 220 32 208 -96 128 -144 
            ARC N 44 -224 220 -48 128 -48 208 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF m4_1e
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -416 96 -416 
            LINE N 0 -352 96 -352 
            LINE N 0 -288 96 -288 
            LINE N 0 -224 96 -224 
            LINE N 0 -32 96 -32 
            LINE N 320 -320 256 -320 
            LINE N 0 -160 96 -160 
            LINE N 0 -96 96 -96 
            LINE N 176 -96 96 -96 
            LINE N 176 -208 176 -96 
            LINE N 224 -32 96 -32 
            LINE N 224 -216 224 -32 
            LINE N 256 -224 96 -192 
            LINE N 256 -416 256 -224 
            LINE N 96 -448 256 -416 
            LINE N 96 -192 96 -448 
            LINE N 128 -160 96 -160 
            LINE N 128 -200 128 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF inv4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 224 -32 160 -32 
            LINE N 224 -96 160 -96 
            LINE N 224 -160 160 -160 
            LINE N 224 -224 160 -224 
            LINE N 0 -32 64 -32 
            LINE N 0 -96 64 -96 
            LINE N 0 -160 64 -160 
            LINE N 0 -224 64 -224 
            LINE N 64 -256 128 -224 
            LINE N 128 -224 64 -192 
            LINE N 64 -192 64 -256 
            CIRCLE N 128 -48 160 -16 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            LINE N 64 -128 128 -96 
            LINE N 128 -96 64 -64 
            LINE N 64 -64 64 -128 
            CIRCLE N 128 -112 160 -80 
            LINE N 64 -192 128 -160 
            LINE N 128 -160 64 -128 
            LINE N 64 -128 64 -192 
            CIRCLE N 128 -176 160 -144 
            CIRCLE N 128 -240 160 -208 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 hex_to_disp
            PIN a XLXN_325
            PIN b XLXN_324
            PIN c XLXN_323
            PIN d XLXN_322
            PIN e XLXN_326
            PIN f XLXN_327
            PIN g XLXN_328
            PIN d0 XLXN_306
            PIN d1 XLXN_307
            PIN d2 d2
            PIN d3 d3
        END BLOCK
        BEGIN BLOCK XLXI_7 cb4cled
            PIN C CLK_SLOW
            PIN CE XLXN_171
            PIN CLR reset
            PIN D0 cnt(1)
            PIN D1 cnt(2)
            PIN D2 cnt(3)
            PIN D3 XLXN_6
            PIN L do_calc
            PIN UP XLXN_188
            PIN CEO
            PIN Q0 cnt(0)
            PIN Q1 cnt(1)
            PIN Q2 cnt(2)
            PIN Q3 cnt(3)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_12 gnd
            PIN G XLXN_6
        END BLOCK
        BEGIN BLOCK XLXI_6 ftc
            PIN C CLK_SLOW
            PIN CLR reset
            PIN T XLXN_153
            PIN Q EN_DISP(0)
        END BLOCK
        BEGIN BLOCK XLXI_47 vcc
            PIN P XLXN_153
        END BLOCK
        BEGIN BLOCK XLXI_48 inv
            PIN I EN_DISP(0)
            PIN O EN_DISP(1)
        END BLOCK
        BEGIN BLOCK XLXI_59 and2
            PIN I0 XLXN_172
            PIN I1 do_cnt
            PIN O XLXN_171
        END BLOCK
        BEGIN BLOCK XLXI_63 vcc
            PIN P XLXN_188
        END BLOCK
        BEGIN BLOCK XLXI_71 fd
            PIN C CLK_SLOW
            PIN D TASTER_U
            PIN Q XLXN_204
        END BLOCK
        BEGIN BLOCK XLXI_72 and2b1
            PIN I0 TASTER_U
            PIN I1 XLXN_204
            PIN O do_cnt
        END BLOCK
        BEGIN BLOCK XLXI_74 fdc
            PIN C CLK_SLOW
            PIN CLR reset
            PIN D XLXN_310
            PIN Q state1
        END BLOCK
        BEGIN BLOCK XLXI_75 inv
            PIN I TASTER_RES
            PIN O reset
        END BLOCK
        BEGIN BLOCK XLXI_50 fd
            PIN C CLK_SLOW
            PIN D TASTER_R
            PIN Q XLXN_163
        END BLOCK
        BEGIN BLOCK XLXI_55 and2
            PIN I0 XLXN_166
            PIN I1 XLXN_163
            PIN O step
        END BLOCK
        BEGIN BLOCK XLXI_56 inv
            PIN I TASTER_R
            PIN O XLXN_166
        END BLOCK
        BEGIN BLOCK XLXI_73 fdc
            PIN C CLK_SLOW
            PIN CLR reset
            PIN D XLXN_237
            PIN Q state0
        END BLOCK
        BEGIN BLOCK XLXI_60 and2b2
            PIN I0 state1
            PIN I1 state0
            PIN O XLXN_172
        END BLOCK
        BEGIN BLOCK XLXI_87 xor2
            PIN I0 state0
            PIN I1 next_state
            PIN O XLXN_237
        END BLOCK
        BEGIN BLOCK XLXI_91 and2
            PIN I0 step
            PIN I1 state1
            PIN O do_calc
        END BLOCK
        BEGIN BLOCK XLXI_92 and2b1
            PIN I0 state1
            PIN I1 step
            PIN O next_state
        END BLOCK
        BEGIN BLOCK XLXI_37 gnd
            PIN G XLXN_92
        END BLOCK
        BEGIN BLOCK XLXI_15 add8
            PIN A(7:0) accu_in(7:0)
            PIN B(7:0) accu_out(7:0)
            PIN CI XLXN_92
            PIN CO
            PIN OFL
            PIN S(7:0) XLXN_26(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_17 fd8ce
            PIN C CLK_SLOW
            PIN CE XLXN_186
            PIN CLR reset
            PIN D(7:0) XLXN_26(7:0)
            PIN Q(7:0) accu_out(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_44 cb4cled
            PIN C CLK_SLOW
            PIN CE XLXN_230
            PIN CLR reset
            PIN D0 XLXN_149
            PIN D1 accu_in(0)
            PIN D2 accu_in(1)
            PIN D3 accu_in(2)
            PIN L do_calc
            PIN UP XLXN_189
            PIN CEO
            PIN Q0 accu_in(0)
            PIN Q1 accu_in(1)
            PIN Q2 accu_in(2)
            PIN Q3 accu_in(3)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_45 sr4ce
            PIN C CLK_SLOW
            PIN CE do_calc
            PIN CLR reset
            PIN SLI accu_in(3)
            PIN Q0 accu_in(4)
            PIN Q1 accu_in(5)
            PIN Q2 accu_in(6)
            PIN Q3 accu_in(7)
        END BLOCK
        BEGIN BLOCK XLXI_46 gnd
            PIN G XLXN_149
        END BLOCK
        BEGIN BLOCK XLXI_62 and2
            PIN I0 cnt(0)
            PIN I1 do_calc
            PIN O XLXN_186
        END BLOCK
        BEGIN BLOCK XLXI_64 vcc
            PIN P XLXN_189
        END BLOCK
        BEGIN BLOCK XLXI_85 and3b1
            PIN I0 state1
            PIN I1 state0
            PIN I2 do_cnt
            PIN O XLXN_230
        END BLOCK
        BEGIN BLOCK XLXI_115 m4_1e
            PIN D0 cnt(0)
            PIN D1 accu_in(0)
            PIN D2 accu_out(0)
            PIN D3 accu_out(4)
            PIN E XLXN_300
            PIN S0 EN_DISP(0)
            PIN S1 state1
            PIN O XLXN_306
        END BLOCK
        BEGIN BLOCK XLXI_116 m4_1e
            PIN D0 cnt(1)
            PIN D1 accu_in(1)
            PIN D2 accu_out(1)
            PIN D3 accu_out(5)
            PIN E XLXN_299
            PIN S0 EN_DISP(0)
            PIN S1 state1
            PIN O XLXN_307
        END BLOCK
        BEGIN BLOCK XLXI_119 vcc
            PIN P XLXN_299
        END BLOCK
        BEGIN BLOCK XLXI_120 vcc
            PIN P XLXN_300
        END BLOCK
        BEGIN BLOCK XLXI_105 m4_1e
            PIN D0 cnt(3)
            PIN D1 accu_in(3)
            PIN D2 accu_out(3)
            PIN D3 accu_out(7)
            PIN E XLXN_298
            PIN S0 EN_DISP(0)
            PIN S1 state1
            PIN O d3
        END BLOCK
        BEGIN BLOCK XLXI_104 m4_1e
            PIN D0 cnt(2)
            PIN D1 accu_in(2)
            PIN D2 accu_out(2)
            PIN D3 accu_out(6)
            PIN E XLXN_297
            PIN S0 EN_DISP(0)
            PIN S1 state1
            PIN O d2
        END BLOCK
        BEGIN BLOCK XLXI_117 vcc
            PIN P XLXN_297
        END BLOCK
        BEGIN BLOCK XLXI_118 vcc
            PIN P XLXN_298
        END BLOCK
        BEGIN BLOCK XLXI_121 inv
            PIN I state0
            PIN O LED(0)
        END BLOCK
        BEGIN BLOCK XLXI_122 inv
            PIN I state1
            PIN O LED(1)
        END BLOCK
        BEGIN BLOCK XLXI_94 and2
            PIN I0 next_state
            PIN I1 state0
            PIN O XLXN_311
        END BLOCK
        BEGIN BLOCK XLXI_124 or2
            PIN I0 XLXN_311
            PIN I1 state1
            PIN O XLXN_310
        END BLOCK
        BEGIN BLOCK XLXI_125 inv4
            PIN I0 XLXN_322
            PIN I1 XLXN_323
            PIN I2 XLXN_324
            PIN I3 XLXN_325
            PIN O0 D
            PIN O1 C
            PIN O2 B
            PIN O3 A
        END BLOCK
        BEGIN BLOCK XLXI_126 inv
            PIN I XLXN_326
            PIN O E
        END BLOCK
        BEGIN BLOCK XLXI_127 inv
            PIN I XLXN_327
            PIN O F
        END BLOCK
        BEGIN BLOCK XLXI_128 inv
            PIN I XLXN_328
            PIN O G
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH cnt(1)
            WIRE 928 96 1440 96
            WIRE 1440 96 1440 352
            WIRE 928 96 928 224
            WIRE 928 224 976 224
            WIRE 976 224 976 288
            WIRE 976 288 992 288
            WIRE 1376 352 1392 352
            WIRE 1392 352 1440 352
            BEGIN DISPLAY 1392 352 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH cnt(2)
            WIRE 864 64 1520 64
            WIRE 1520 64 1520 416
            WIRE 864 64 864 352
            WIRE 864 352 992 352
            WIRE 1376 416 1488 416
            WIRE 1488 416 1520 416
            BEGIN DISPLAY 1488 416 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH cnt(3)
            WIRE 800 32 1600 32
            WIRE 1600 32 1600 480
            WIRE 800 32 800 416
            WIRE 800 416 992 416
            WIRE 1376 480 1552 480
            WIRE 1552 480 1600 480
            BEGIN DISPLAY 1552 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_6
            WIRE 960 480 992 480
        END BRANCH
        INSTANCE XLXI_12 832 416 R90
        BEGIN BRANCH CLK_SLOW
            WIRE 880 800 912 800
            WIRE 912 800 992 800
            BEGIN DISPLAY 912 800 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH reset
            WIRE 880 896 960 896
            WIRE 960 896 992 896
            BEGIN DISPLAY 960 896 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLK_SLOW
            WIRE 2736 2560 2784 2560
            WIRE 2784 2560 2848 2560
            BEGIN DISPLAY 2784 2560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_6 2848 2688 R0
        INSTANCE XLXI_7 992 928 R0
        BEGIN BRANCH reset
            WIRE 2736 2656 2768 2656
            WIRE 2768 2656 2848 2656
            BEGIN DISPLAY 2768 2656 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_153
            WIRE 2816 2432 2848 2432
        END BRANCH
        INSTANCE XLXI_47 2816 2496 R270
        IOMARKER 3360 2432 EN_DISP(0) R0 28
        INSTANCE XLXI_48 3264 2448 R90
        BEGIN BRANCH EN_DISP(1)
            WIRE 3296 2672 3344 2672
        END BRANCH
        IOMARKER 3344 2672 EN_DISP(1) R0 28
        BEGIN BRANCH cnt(0)
            WIRE 1376 288 1696 288
            WIRE 1696 288 1728 288
            BEGIN DISPLAY 1696 288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_171
            WIRE 960 736 992 736
        END BRANCH
        INSTANCE XLXI_59 704 832 R0
        BEGIN BRANCH XLXN_172
            WIRE 704 768 704 864
        END BRANCH
        BEGIN BRANCH do_calc
            WIRE 656 576 688 576
            WIRE 688 576 688 656
            WIRE 688 656 736 656
            WIRE 736 656 944 656
            WIRE 944 656 944 672
            WIRE 944 672 992 672
            BEGIN DISPLAY 736 656 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH do_cnt
            WIRE 480 704 512 704
            WIRE 512 704 704 704
            BEGIN DISPLAY 512 704 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_188
            WIRE 960 608 992 608
        END BRANCH
        INSTANCE XLXI_63 960 672 R270
        BEGIN BRANCH CLK_SLOW
            WIRE 448 1776 480 1776
            WIRE 480 1776 784 1776
            BEGIN DISPLAY 480 1776 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TASTER_R
            WIRE 192 2416 224 2416
            WIRE 224 2416 368 2416
            WIRE 224 2416 224 2672
            WIRE 224 2672 448 2672
        END BRANCH
        BEGIN BRANCH TASTER_U
            WIRE 192 2080 224 2080
            WIRE 224 2080 256 2080
            WIRE 224 1936 224 2080
            WIRE 224 1936 672 1936
            WIRE 672 1936 672 2016
            WIRE 672 2016 688 2016
        END BRANCH
        BEGIN BRANCH CLK_SLOW
            WIRE 160 2208 192 2208
            WIRE 192 2208 256 2208
            BEGIN DISPLAY 192 2208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_204
            WIRE 640 2080 688 2080
        END BRANCH
        INSTANCE XLXI_72 688 1952 M180
        IOMARKER 192 2080 TASTER_U R180 28
        BEGIN BRANCH do_cnt
            WIRE 944 2048 992 2048
            WIRE 992 2048 1024 2048
            BEGIN DISPLAY 992 2048 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH reset
            WIRE 448 1872 464 1872
            WIRE 464 1872 480 1872
            WIRE 480 1872 784 1872
            BEGIN DISPLAY 480 1872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_75 240 1904 R0
        BEGIN BRANCH TASTER_RES
            WIRE 208 1872 240 1872
        END BRANCH
        IOMARKER 208 1872 TASTER_RES R180 28
        IOMARKER 192 2416 TASTER_R R180 28
        INSTANCE XLXI_71 256 2336 R0
        INSTANCE XLXI_50 368 2672 R0
        BEGIN BRANCH CLK_SLOW
            WIRE 256 2544 288 2544
            WIRE 288 2544 368 2544
            BEGIN DISPLAY 288 2544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_163
            WIRE 752 2416 784 2416
        END BRANCH
        INSTANCE XLXI_55 784 2544 R0
        INSTANCE XLXI_56 448 2704 R0
        BEGIN BRANCH XLXN_166
            WIRE 672 2672 768 2672
            WIRE 768 2480 784 2480
            WIRE 768 2480 768 2672
        END BRANCH
        BEGIN BRANCH step
            WIRE 1040 2448 1088 2448
            WIRE 1088 2448 1120 2448
            BEGIN DISPLAY 1088 2448 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLK_SLOW
            WIRE 464 1424 496 1424
            WIRE 496 1424 592 1424
            BEGIN DISPLAY 496 1424 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH state0
            WIRE 976 1296 992 1296
            WIRE 992 1296 1040 1296
            BEGIN DISPLAY 992 1296 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH reset
            WIRE 464 1520 496 1520
            WIRE 496 1520 592 1520
            BEGIN DISPLAY 496 1520 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_73 592 1552 R0
        BEGIN BRANCH state1
            WIRE 368 896 400 896
            WIRE 400 896 448 896
            BEGIN DISPLAY 400 896 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH state0
            WIRE 352 832 432 832
            WIRE 432 832 448 832
            BEGIN DISPLAY 432 832 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_60 448 960 R0
        BEGIN BRANCH state1
            WIRE 240 544 256 544
            WIRE 256 544 400 544
            BEGIN DISPLAY 256 544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH step
            WIRE 240 608 272 608
            WIRE 272 608 400 608
            BEGIN DISPLAY 272 608 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_237
            WIRE 560 1296 592 1296
        END BRANCH
        INSTANCE XLXI_87 304 1392 R0
        BEGIN BRANCH state0
            WIRE 160 1328 208 1328
            WIRE 208 1328 304 1328
            BEGIN DISPLAY 208 1328 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_91 400 672 R0
        INSTANCE XLXI_92 544 992 R180
        BEGIN BRANCH state1
            WIRE 544 1056 592 1056
            WIRE 592 1056 640 1056
            BEGIN DISPLAY 592 1056 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH step
            WIRE 544 1120 560 1120
            WIRE 560 1120 640 1120
            BEGIN DISPLAY 560 1120 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH next_state
            WIRE 160 1088 160 1264
            WIRE 160 1264 304 1264
            WIRE 160 1088 176 1088
            WIRE 176 1088 288 1088
            BEGIN DISPLAY 176 1088 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH state1
            WIRE 1168 1648 1184 1648
            WIRE 1184 1648 1264 1648
            WIRE 1264 1648 1264 1664
            BEGIN DISPLAY 1184 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_74 784 1904 R0
        INSTANCE XLXI_37 2128 16 R90
        BEGIN BRANCH XLXN_92
            WIRE 2256 80 2784 80
        END BRANCH
        INSTANCE XLXI_15 2784 528 R0
        INSTANCE XLXI_17 3280 624 R180
        BEGIN BRANCH accu_in(7:0)
            WIRE 2656 208 2784 208
            WIRE 2656 208 2656 288
            WIRE 2656 288 2656 336
            WIRE 2656 336 2656 400
            WIRE 2656 400 2656 464
            WIRE 2656 464 2656 528
            WIRE 2656 528 2656 1024
            WIRE 2656 1024 2656 1088
            WIRE 2656 1088 2656 1152
            WIRE 2656 1152 2656 1216
            WIRE 2656 1216 2656 1296
            BEGIN DISPLAY 2656 288 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2656 336 2560 336
        BEGIN BRANCH accu_in(0)
            WIRE 2432 336 2480 336
            WIRE 2480 336 2560 336
            BEGIN DISPLAY 2480 336 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_in(1)
            WIRE 2432 400 2448 400
            WIRE 2448 400 2560 400
            BEGIN DISPLAY 2448 400 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2656 400 2560 400
        BEGIN BRANCH accu_in(2)
            WIRE 2432 464 2448 464
            WIRE 2448 464 2560 464
            BEGIN DISPLAY 2448 464 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2656 464 2560 464
        BUSTAP 2656 528 2560 528
        INSTANCE XLXI_44 2048 976 R0
        INSTANCE XLXI_45 2048 1344 R0
        BEGIN BRANCH accu_in(7)
            WIRE 2432 1216 2480 1216
            WIRE 2480 1216 2560 1216
            BEGIN DISPLAY 2480 1216 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2656 1216 2560 1216
        BEGIN BRANCH accu_in(6)
            WIRE 2432 1152 2448 1152
            WIRE 2448 1152 2560 1152
            BEGIN DISPLAY 2448 1152 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2656 1152 2560 1152
        BUSTAP 2656 1088 2560 1088
        BEGIN BRANCH accu_in(5)
            WIRE 2432 1088 2464 1088
            WIRE 2464 1088 2560 1088
            BEGIN DISPLAY 2464 1088 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2656 1024 2560 1024
        BEGIN BRANCH accu_in(4)
            WIRE 2432 1024 2480 1024
            WIRE 2480 1024 2560 1024
            BEGIN DISPLAY 2480 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH reset
            WIRE 1936 1312 1952 1312
            WIRE 1952 1312 2048 1312
            BEGIN DISPLAY 1952 1312 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_26(7:0)
            WIRE 3232 272 3424 272
            WIRE 3424 272 3424 880
            WIRE 3280 880 3424 880
        END BRANCH
        BEGIN BRANCH CLK_SLOW
            WIRE 3280 752 3312 752
            WIRE 3312 752 3360 752
            BEGIN DISPLAY 3312 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH reset
            WIRE 3280 656 3312 656
            WIRE 3312 656 3392 656
            BEGIN DISPLAY 3312 656 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLK_SLOW
            WIRE 1936 1216 1968 1216
            WIRE 1968 1216 2048 1216
            BEGIN DISPLAY 1968 1216 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLK_SLOW
            WIRE 1936 848 1968 848
            WIRE 1968 848 2048 848
            BEGIN DISPLAY 1968 848 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH reset
            WIRE 1936 944 1968 944
            WIRE 1968 944 2048 944
            BEGIN DISPLAY 1968 944 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_149
            WIRE 2016 336 2048 336
        END BRANCH
        INSTANCE XLXI_46 1888 272 R90
        BEGIN BRANCH accu_in(0)
            WIRE 1936 400 1968 400
            WIRE 1968 400 2048 400
            BEGIN DISPLAY 1968 400 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_in(1)
            WIRE 1936 464 1968 464
            WIRE 1968 464 2048 464
            BEGIN DISPLAY 1968 464 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_in(2)
            WIRE 1936 528 1968 528
            WIRE 1968 528 2048 528
            BEGIN DISPLAY 1968 528 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH do_calc
            WIRE 1936 720 1952 720
            WIRE 1952 720 2048 720
            BEGIN DISPLAY 1952 720 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_62 3072 1200 R0
        BEGIN BRANCH do_calc
            WIRE 2976 1072 3008 1072
            WIRE 3008 1072 3072 1072
            BEGIN DISPLAY 3008 1072 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH cnt(0)
            WIRE 2976 1136 3008 1136
            WIRE 3008 1136 3072 1136
            BEGIN DISPLAY 3008 1136 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_186
            WIRE 3280 816 3376 816
            WIRE 3376 816 3376 1104
            WIRE 3328 1104 3376 1104
        END BRANCH
        BEGIN BRANCH XLXN_189
            WIRE 2016 656 2048 656
        END BRANCH
        INSTANCE XLXI_64 2016 720 R270
        INSTANCE XLXI_85 1680 912 R0
        BEGIN BRANCH XLXN_230
            WIRE 1936 784 2048 784
        END BRANCH
        BEGIN BRANCH do_cnt
            WIRE 1568 720 1584 720
            WIRE 1584 720 1680 720
            BEGIN DISPLAY 1584 720 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH state0
            WIRE 1568 784 1600 784
            WIRE 1600 784 1680 784
            BEGIN DISPLAY 1600 784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH state1
            WIRE 1568 848 1600 848
            WIRE 1600 848 1680 848
            BEGIN DISPLAY 1600 848 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH EN_DISP(0)
            WIRE 3232 2432 3296 2432
            WIRE 3296 2432 3360 2432
            WIRE 3296 2432 3296 2448
        END BRANCH
        BEGIN BRANCH XLXN_299
            WIRE 2352 2592 2416 2592
        END BRANCH
        INSTANCE XLXI_119 2352 2656 R270
        BEGIN BRANCH XLXN_300
            WIRE 2368 2096 2416 2096
        END BRANCH
        INSTANCE XLXI_120 2368 2160 R270
        BEGIN BRANCH accu_out(7:0)
            WIRE 2736 336 2784 336
            WIRE 2736 336 2736 672
            WIRE 2736 672 2736 880
            WIRE 2736 880 2896 880
            BEGIN DISPLAY 2736 672 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d2
            WIRE 2768 2064 2800 2064
            WIRE 2800 2048 2800 2064
            BEGIN DISPLAY 2800 2064 ATTR Name
                ALIGNMENT SOFT-TCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d3
            WIRE 2768 2128 2784 2128
            WIRE 2784 2112 2784 2128
            WIRE 2784 2112 2800 2112
            BEGIN DISPLAY 2784 2128 ATTR Name
                ALIGNMENT SOFT-TCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2160 1840 2256 1840
        BUSTAP 2160 1904 2256 1904
        BUSTAP 2160 2336 2256 2336
        BUSTAP 2160 2400 2256 2400
        BEGIN BRANCH accu_out(0)
            WIRE 2256 1840 2272 1840
            WIRE 2272 1840 2416 1840
            BEGIN DISPLAY 2272 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_out(4)
            WIRE 2256 1904 2288 1904
            WIRE 2288 1904 2416 1904
            BEGIN DISPLAY 2288 1904 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_out(1)
            WIRE 2256 2336 2288 2336
            WIRE 2288 2336 2416 2336
            BEGIN DISPLAY 2288 2336 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_out(5)
            WIRE 2256 2400 2272 2400
            WIRE 2272 2400 2416 2400
            BEGIN DISPLAY 2272 2400 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_in(3)
            WIRE 2432 528 2448 528
            WIRE 2448 528 2560 528
            BEGIN DISPLAY 2448 528 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_115 2416 2128 R0
        BEGIN BRANCH cnt(1)
            WIRE 2192 2208 2240 2208
            WIRE 2240 2208 2416 2208
            BEGIN DISPLAY 2240 2208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_116 2416 2624 R0
        BEGIN BRANCH accu_out(7:0)
            WIRE 2160 1520 2160 1584
            WIRE 2160 1584 2160 1840
            WIRE 2160 1840 2160 1904
            WIRE 2160 1904 2160 2336
            WIRE 2160 2336 2160 2400
            WIRE 2160 2400 2160 2640
            BEGIN DISPLAY 2160 1584 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH cnt(3:0)
            WIRE 2096 1520 2096 1552
            WIRE 2096 1552 2096 1712
            WIRE 2096 1712 2096 2208
            WIRE 2096 2208 2096 2640
            BEGIN DISPLAY 2096 1552 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2096 1712 2192 1712
        BUSTAP 2096 2208 2192 2208
        BEGIN BRANCH XLXN_297
            WIRE 1600 2128 1632 2128
        END BRANCH
        BEGIN BRANCH XLXN_298
            WIRE 1600 2640 1632 2640
        END BRANCH
        BEGIN BRANCH d2
            WIRE 1952 1840 1984 1840
            WIRE 1984 1840 2000 1840
            BEGIN DISPLAY 1984 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH d3
            WIRE 1952 2352 1968 2352
            WIRE 1968 2352 2000 2352
            BEGIN DISPLAY 1968 2352 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_in(7:0)
            WIRE 2032 1520 2032 1632
            WIRE 2032 1632 2032 1776
            WIRE 2032 1776 2032 2272
            WIRE 2032 2272 2032 2640
            BEGIN DISPLAY 2032 1632 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2032 1776 2128 1776
        BUSTAP 2032 2272 2128 2272
        BEGIN BRANCH accu_in(0)
            WIRE 2128 1776 2256 1776
            WIRE 2256 1776 2416 1776
            BEGIN DISPLAY 2256 1776 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_in(1)
            WIRE 2128 2272 2256 2272
            WIRE 2256 2272 2416 2272
            BEGIN DISPLAY 2256 2272 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH cnt(0)
            WIRE 2192 1712 2256 1712
            WIRE 2256 1712 2416 1712
            BEGIN DISPLAY 2256 1712 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_104 1632 2160 R0
        INSTANCE XLXI_105 1632 2672 R0
        INSTANCE XLXI_118 1600 2704 R270
        INSTANCE XLXI_117 1600 2192 R270
        BEGIN BRANCH cnt(3:0)
            WIRE 1424 1520 1424 1584
            WIRE 1424 1584 1424 1744
            WIRE 1424 1744 1424 2256
            WIRE 1424 2256 1424 2688
            BEGIN DISPLAY 1424 1584 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_in(7:0)
            WIRE 1360 1520 1360 1600
            WIRE 1360 1600 1360 1808
            WIRE 1360 1808 1360 2320
            WIRE 1360 2320 1360 2688
            BEGIN DISPLAY 1360 1600 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_out(7:0)
            WIRE 1488 1504 1488 1600
            WIRE 1488 1600 1488 1872
            WIRE 1488 1872 1488 1936
            WIRE 1488 1936 1488 2384
            WIRE 1488 2384 1488 2448
            WIRE 1488 2448 1488 2688
            BEGIN DISPLAY 1488 1600 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1488 1872 1584 1872
        BUSTAP 1488 1936 1584 1936
        BUSTAP 1488 2384 1584 2384
        BUSTAP 1488 2448 1584 2448
        BUSTAP 1424 1744 1520 1744
        BUSTAP 1424 2256 1520 2256
        BUSTAP 1360 1808 1456 1808
        BUSTAP 1360 2320 1456 2320
        BEGIN BRANCH cnt(2)
            WIRE 1520 1744 1552 1744
            WIRE 1552 1744 1632 1744
            BEGIN DISPLAY 1552 1744 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_in(2)
            WIRE 1456 1808 1552 1808
            WIRE 1552 1808 1632 1808
            BEGIN DISPLAY 1552 1808 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_out(2)
            WIRE 1584 1872 1600 1872
            WIRE 1600 1872 1632 1872
            BEGIN DISPLAY 1600 1872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_out(6)
            WIRE 1584 1936 1600 1936
            WIRE 1600 1936 1632 1936
            BEGIN DISPLAY 1600 1936 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH cnt(3)
            WIRE 1520 2256 1552 2256
            WIRE 1552 2256 1632 2256
            BEGIN DISPLAY 1552 2256 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_in(3)
            WIRE 1456 2320 1520 2320
            WIRE 1520 2320 1632 2320
            BEGIN DISPLAY 1520 2320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_out(3)
            WIRE 1584 2384 1600 2384
            WIRE 1600 2384 1632 2384
            BEGIN DISPLAY 1600 2384 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_out(7)
            WIRE 1584 2448 1600 2448
            WIRE 1600 2448 1632 2448
            BEGIN DISPLAY 1600 2448 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 464 1424 CLK_SLOW R180 28
        BEGIN BRANCH EN_DISP(0)
            WIRE 2256 1968 2288 1968
            WIRE 2288 1968 2416 1968
            BEGIN DISPLAY 2288 1968 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH state1
            WIRE 2256 2032 2288 2032
            WIRE 2288 2032 2416 2032
            BEGIN DISPLAY 2288 2032 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH EN_DISP(0)
            WIRE 2240 2464 2256 2464
            WIRE 2256 2464 2416 2464
            BEGIN DISPLAY 2256 2464 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH state1
            WIRE 2240 2528 2272 2528
            WIRE 2272 2528 2416 2528
            BEGIN DISPLAY 2272 2528 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH EN_DISP(0)
            WIRE 1520 2000 1552 2000
            WIRE 1552 2000 1632 2000
            BEGIN DISPLAY 1552 2000 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH state1
            WIRE 1520 2064 1552 2064
            WIRE 1552 2064 1632 2064
            BEGIN DISPLAY 1552 2064 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH EN_DISP(0)
            WIRE 1520 2512 1552 2512
            WIRE 1552 2512 1632 2512
            BEGIN DISPLAY 1552 2512 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH state1
            WIRE 1520 2576 1536 2576
            WIRE 1536 2576 1632 2576
            BEGIN DISPLAY 1536 2576 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH do_calc
            WIRE 1872 1152 1888 1152
            WIRE 1888 1152 2048 1152
            BEGIN DISPLAY 1888 1152 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH accu_in(3)
            WIRE 1856 1024 1888 1024
            WIRE 1888 1024 2048 1024
            BEGIN DISPLAY 1888 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_121 1040 1328 R0
        INSTANCE XLXI_122 1232 1648 R90
        BEGIN BRANCH LED(0)
            WIRE 1264 1296 1296 1296
        END BRANCH
        IOMARKER 1296 1296 LED(0) R0 28
        BEGIN BRANCH LED(1)
            WIRE 1264 1872 1264 1904
        END BRANCH
        IOMARKER 1264 1904 LED(1) R90 28
        BEGIN BRANCH LED(1:0)
            WIRE 1184 1184 1248 1184
            WIRE 1248 1184 1360 1184
            BEGIN DISPLAY 1248 1184 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH EN_DISP(1:0)
            WIRE 3232 2368 3296 2368
            WIRE 3296 2368 3456 2368
            BEGIN DISPLAY 3296 2368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH state0
            WIRE 32 1648 80 1648
            WIRE 80 1648 208 1648
            BEGIN DISPLAY 80 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH next_state
            WIRE 32 1712 96 1712
            WIRE 96 1712 208 1712
            BEGIN DISPLAY 96 1712 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_310
            WIRE 752 1648 784 1648
        END BRANCH
        INSTANCE XLXI_124 496 1744 R0
        BEGIN BRANCH XLXN_311
            WIRE 464 1680 496 1680
        END BRANCH
        INSTANCE XLXI_94 208 1776 R0
        BEGIN BRANCH state1
            WIRE 352 1616 400 1616
            WIRE 400 1616 496 1616
            BEGIN DISPLAY 400 1616 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_306
            WIRE 2736 1808 2752 1808
            WIRE 2752 1808 2752 1920
            WIRE 2752 1920 2800 1920
        END BRANCH
        BEGIN BRANCH XLXN_307
            WIRE 2736 2304 2752 2304
            WIRE 2752 1984 2752 2304
            WIRE 2752 1984 2800 1984
        END BRANCH
        BEGIN INSTANCE XLXI_1 2800 2272 R0
        END INSTANCE
        BEGIN BRANCH XLXN_322
            WIRE 3184 2048 3216 2048
        END BRANCH
        BEGIN BRANCH XLXN_323
            WIRE 3184 1984 3216 1984
        END BRANCH
        BEGIN BRANCH XLXN_324
            WIRE 3184 1920 3216 1920
        END BRANCH
        BEGIN BRANCH XLXN_325
            WIRE 3184 1856 3216 1856
        END BRANCH
        INSTANCE XLXI_125 3216 2080 R0
        BEGIN BRANCH XLXN_326
            WIRE 3184 2112 3216 2112
        END BRANCH
        INSTANCE XLXI_126 3216 2144 R0
        BEGIN BRANCH XLXN_327
            WIRE 3184 2176 3216 2176
        END BRANCH
        INSTANCE XLXI_127 3216 2208 R0
        BEGIN BRANCH XLXN_328
            WIRE 3184 2240 3216 2240
        END BRANCH
        INSTANCE XLXI_128 3216 2272 R0
        BEGIN BRANCH A
            WIRE 3440 1856 3472 1856
        END BRANCH
        IOMARKER 3472 1856 A R0 28
        BEGIN BRANCH B
            WIRE 3440 1920 3472 1920
        END BRANCH
        IOMARKER 3472 1920 B R0 28
        BEGIN BRANCH C
            WIRE 3440 1984 3472 1984
        END BRANCH
        IOMARKER 3472 1984 C R0 28
        BEGIN BRANCH D
            WIRE 3440 2048 3472 2048
        END BRANCH
        IOMARKER 3472 2048 D R0 28
        BEGIN BRANCH E
            WIRE 3440 2112 3472 2112
        END BRANCH
        IOMARKER 3472 2112 E R0 28
        BEGIN BRANCH F
            WIRE 3440 2176 3472 2176
        END BRANCH
        IOMARKER 3472 2176 F R0 28
        BEGIN BRANCH G
            WIRE 3440 2240 3472 2240
        END BRANCH
        IOMARKER 3472 2240 G R0 28
    END SHEET
END SCHEMATIC
